s2dv
===============
s2dv is the advanced version of package 's2dverification'. It is intended for
'seasonal to decadal' (s2d) climate forecast verification, but it can also be
used in other kinds of forecasts or general climate analysis.

This package is specially designed for the comparison between the experimental
and observational datasets. The functionality of the included functions covers
from data retrieval, data post-processing, skill scores against obeservation,
to visualization. Compared to 's2dverification', 's2dv' adopts the regime of
package 'multiApply'. Therefore, it can use multi-core for computation and work
with multi-dimensional arrays with a higher level of flexibility.

Find more information about its previous package s2dverification on GitLab
<https://earth.bsc.es/gitlab/es/s2dverification/wikis/home> or on the
CRAN website at
<https://cran.r-project.org/web/packages/s2dverification/index.html>.


Installation
------------

s2dv has a system dependency, the CDO libraries, for interpolation of grid data
and retrieval of metadata. Make sure you have these libraries installed in the
system or download and install from
<https://code.zmaw.de/projects/cdo>.

You can then install the public released version of s2dverification from CRAN:
```r
install.packages("s2dv")
```
Or the development version from the GitLab repository:
```r
# install.packages("devtools")
devtools::install_git("https://earth.bsc.es/gitlab/es/s2dv.git")
```

